"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compose = void 0;
function composeTwo(f, g) {
    return function () {
        // eslint-disable-next-line prefer-rest-params
        return f.call(this, g.apply(this, arguments));
    };
}
function compose() {
    var fns = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        fns[_i] = arguments[_i];
    }
    if (fns.length === 0) {
        throw new TypeError("compose requires at least one argument");
    }
    return fns.slice(1).reduce(composeTwo, fns[0]);
}
exports.compose = compose;
//# sourceMappingURL=compose.js.map